Skip to content
Start here

Create hostname route

client.ZeroTrust.Networks.HostnameRoutes.New(ctx, params) (*HostnameRoute, error)
POST/accounts/{account_id}/zerotrust/routes/hostname

Create a hostname route.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloudflare One Networks WriteCloudflare Tunnel Write
ParametersExpand Collapse
params NetworkHostnameRouteNewParams
AccountID param.Field[string]

Path param: Cloudflare account ID

maxLength32
Comment param.Field[string]optional

Body param: An optional description of the hostname route.

Hostname param.Field[string]optional

Body param: The hostname of the route.

TunnelID param.Field[string]optional

Body param: UUID of the tunnel.

formatuuid
maxLength36
ReturnsExpand Collapse
type HostnameRoute struct{…}
ID stringoptional

The hostname route ID.

formatuuid
Comment stringoptional

An optional description of the hostname route.

CreatedAt Timeoptional

Timestamp of when the resource was created.

formatdate-time
DeletedAt Timeoptional

Timestamp of when the resource was deleted. If null, the resource has not been deleted.

formatdate-time
Hostname stringoptional

The hostname of the route.

TunnelID stringoptional

UUID of the tunnel.

formatuuid
maxLength36
TunnelName stringoptional

A user-friendly name for a tunnel.

Create hostname route

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/zero_trust"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  hostnameRoute, err := client.ZeroTrust.Networks.HostnameRoutes.New(context.TODO(), zero_trust.NetworkHostnameRouteNewParams{
    AccountID: cloudflare.F("699d98642c564d2e855e9661899b7252"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", hostnameRoute.ID)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
    "comment": "example comment",
    "created_at": "2021-01-25T18:22:34.317854Z",
    "deleted_at": "2009-11-10T23:00:00.000000Z",
    "hostname": "office-1.local",
    "tunnel_id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
    "tunnel_name": "api-tunnel"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
    "comment": "example comment",
    "created_at": "2021-01-25T18:22:34.317854Z",
    "deleted_at": "2009-11-10T23:00:00.000000Z",
    "hostname": "office-1.local",
    "tunnel_id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
    "tunnel_name": "api-tunnel"
  },
  "success": true
}